SnmpCompliance (Mibble 2.9.4 Documentation)
Date: 2016-09-27

net.percederberg.mibble.snmp

## Class SnmpCompliance

- java.lang.Object
- - net.percederberg.mibble.snmp.SnmpCompliance

-     public class SnmpCompliance
      extends java.lang.Object

  An SNMP module compliance value. This declaration is used inside a module declaration for both the GROUP and OBJECT compliance parts.
  Since:
    2.0
  See Also:
    `SnmpModule`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnmpCompliance(boolean group, MibValue value, MibType syntax, MibType writeSyntax, SnmpAccess access, java.lang.String description)` Creates a new SNMP module compliance declaration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SnmpAccess` | `getAccess()` Returns the access mode.
    `java.lang.String` | `getComment()` Returns the compliance comment.
    `java.lang.String` | `getDescription()` Returns the compliance description.
    `MibType` | `getSyntax()` Returns the value syntax.
    `java.lang.String` | `getUnformattedDescription()` Returns the unformatted compliance description.
    `MibValue` | `getValue()` Returns the value.
    `MibType` | `getWriteSyntax()` Returns the value write syntax.
    `boolean` | `isGroup()` Checks if this is a group compliance.
    `boolean` | `isObject()` Checks if this is an object compliance.
    `void` | `setComment(java.lang.String comment)` Sets the compliance comment.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SnmpCompliance

          public SnmpCompliance(boolean group,
                                MibValue value,
                                MibType syntax,
                                MibType writeSyntax,
                                SnmpAccess access,
                                java.lang.String description)

      Creates a new SNMP module compliance declaration.
      Parameters:
        `group` - the group compliance flag
        `value` - the compliance value
        `syntax` - the value syntax, or null
        `writeSyntax` - the value write syntax, or null
        `access` - the access mode, or null
        `description` - the compliance description

  - ### Method Detail

    - #### isGroup

          public boolean isGroup()

      Checks if this is a group compliance.
      Returns:
        true if this is a group compliance, or false otherwise
      Since:
        2.6

    - #### isObject

          public boolean isObject()

      Checks if this is an object compliance.
      Returns:
        true if this is an object compliance, or false otherwise
      Since:
        2.6

    - #### getValue

          public MibValue getValue()

      Returns the value.
      Returns:
        the value

    - #### getSyntax

          public MibType getSyntax()

      Returns the value syntax.
      Returns:
        the value syntax, or null if not set

    - #### getWriteSyntax

          public MibType getWriteSyntax()

      Returns the value write syntax.
      Returns:
        the value write syntax, or null if not set

    - #### getAccess

          public SnmpAccess getAccess()

      Returns the access mode.
      Returns:
        the access mode, or null if not set

    - #### getDescription

          public java.lang.String getDescription()

      Returns the compliance description. Any unneeded indentation will be removed from the description, and it also replaces all tab characters with 8 spaces.
      Returns:
        the compliance description
      See Also:
        `getUnformattedDescription()`

    - #### getUnformattedDescription

          public java.lang.String getUnformattedDescription()

      Returns the unformatted compliance description. This method returns the original MIB file text, without removing unneeded indentation or similar.
      Returns:
        the unformatted compliance description, or null if no description has been set
      Since:
        2.6
      See Also:
        `getDescription()`

    - #### getComment

          public java.lang.String getComment()

      Returns the compliance comment.
      Returns:
        the compliance comment, or null if no comment was set
      Since:
        2.9

    - #### setComment

          public void setComment(java.lang.String comment)

      Sets the compliance comment.
      Parameters:
        `comment` - the compliance comment
      Since:
        2.9

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of this object